> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crosmos.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Source



## OpenAPI

````yaml https://api.crosmos.dev/openapi.json get /api/v1/sources/{source_uuid}
openapi: 3.1.0
info:
  title: Crosmos API
  version: 0.1.0
servers:
  - url: /
security: []
paths:
  /api/v1/sources/{source_uuid}:
    get:
      tags:
        - sources
      summary: Get Source
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          name: source_uuid
          in: path
        - schema:
            type: string
            format: uuid
          required: false
          name: space_uuid
          in: query
        - schema:
            type: string
            format: uuid
          required: false
          name: space_id
          in: query
      responses:
        '200':
          description: Source
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SourceResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SourceErrorBody'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SourceErrorBody'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SourceErrorBody'
      security:
        - bearerAuth: []
components:
  schemas:
    SourceResponse:
      type: object
      properties:
        id:
          type: string
          format: uuid
        space_id:
          type: string
          format: uuid
        content:
          type: string
        content_type:
          type: string
        extraction_status:
          type: string
          enum:
            - pending
            - processing
            - completed
            - failed
        meta:
          type: object
          nullable: true
          additionalProperties:
            nullable: true
        token_count:
          type: integer
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
      required:
        - id
        - space_id
        - content
        - content_type
        - extraction_status
        - meta
        - token_count
        - created_at
        - updated_at
    SourceErrorBody:
      type: object
      properties:
        detail:
          type: string
      required:
        - detail
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: JWT access token or API key (csk_...)

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.